GPU may not support OpenGL 4.3

Issue:
After updating from version 177x (can’t remember if it’s 4 or 6), I tried to play some of the games, only to get an error:
“Your GPU may not support OpenGL 4.3, or you do not have the latest graphics driver.”

System Information

  • Operating System: Windows 10 Pro 64-bit
  • CPU: Intel Core i5 3470 @ 3.20 GHz
  • GPU: NVIDIA GeForce GTS 250
  • Citra Version (found in title bar): Nightly 1785 (after upgrade)
  • Game: All?

Diagnostic Log
citra_log.txt (31.6 KB)

System Information for Support

Client Version                               Nightly 1785   HEAD-baecc18
Operating System                             Windows 10 (10.0)
CPU                                          Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz | AVX
Graphics API                                 Unknown (?)
Graphics Renderer                            ?
GPU Driver Version                           ?
CPU JIT                                      [x]
Hardware Renderer                            [x]
Hardware Shader                              [x]
Hardware Shader, Accurate Multiplication     [ ]
Shader JIT                                   [x]
System Region                                -1
Shader Disk Cache                            [x]

Here’s some issues I found with your log that might help.

  • Enabling Accurate Multiplication is recomended in certain games. If you are experiencing graphical glitches, try enabling this option.

Citra is getting ready for modern computers and this GPU from 2009 sadly won’t be able to run newer builds. You will need to stay on Nightly 1782 until you upgrade your graphics card (maybe an RTX 3050 or RX 5500 if you want something new, or check second hand for like a 1050 Ti or something).

Sorry for the inconvenience.

1 Like

Ah, okay.
Thank you!

No worries~